POST api/Reminder/AddUpdateCadence
Request Information
URI Parameters
None.
Body Parameters
HorseReminderCadenceDto| Name | Description | Type | Additional information |
|---|---|---|---|
| reminderCadenceId | integer |
None. |
|
| personId | integer |
None. |
|
| horseId | integer |
None. |
|
| reminderTypeId | integer |
None. |
|
| customTitle | string |
None. |
|
| intervalValue | integer |
None. |
|
| intervalUnit | string |
None. |
|
| nextDueDate | string |
None. |
|
| alertLeadDays | integer |
None. |
|
| preferredContactId | integer |
None. |
|
| notes | string |
None. |
Request Formats
application/json, text/json
Sample:
{
"reminderCadenceId": 1,
"personId": 2,
"horseId": 3,
"reminderTypeId": 4,
"customTitle": "sample string 5",
"intervalValue": 6,
"intervalUnit": "sample string 7",
"nextDueDate": "sample string 8",
"alertLeadDays": 9,
"preferredContactId": 1,
"notes": "sample string 10"
}
application/xml, text/xml
Sample:
<HorseReminderCadenceDto xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/Equestrian.Entities"> <AlertLeadDays>9</AlertLeadDays> <CustomTitle>sample string 5</CustomTitle> <HorseID>3</HorseID> <IntervalUnit>sample string 7</IntervalUnit> <IntervalValue>6</IntervalValue> <NextDueDate>sample string 8</NextDueDate> <Notes>sample string 10</Notes> <PersonID>2</PersonID> <PreferredContactID>1</PreferredContactID> <ReminderCadenceID>1</ReminderCadenceID> <ReminderTypeID>4</ReminderTypeID> </HorseReminderCadenceDto>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
IHttpActionResultNone.
Response Formats
application/json, text/json, application/xml, text/xml
Sample:
Sample not available.